Appearance
PATCH
/web-pages/draft/drafts/{draftId}/pages/{pageId}Required scope:
viskan:draft:updateUpdates a page by ID.
Parameters
Path parameters
draftId string Format:
uuidIdentifier of the draft. A draft is a workspace that holds unpublished changes to web store content.
pageId string Format:
uuidIdentifier of the page. A page represents a web page within a category and contains a layout, sections, and content.
Request body
JSON
{
"metaTitle": "Start Page for Black Week Sale",
"metaDescription": "Temporary page for Black Week Sale",
"layoutId": "e8391697-5592-434a-9e20-ac2316adc235",
"title": "Black Week Sale",
"path": "/black-week-sale",
"action": "REMOVE",
"variables": [
{
"layoutSectionId": "be0111c5-a24b-47bd-86f7-77c12d632bdc",
"variableId": "e7f65f98-e2a6-4ffd-a985-6e6a4180f5e0",
"variableValue": "Welcome to start page!"
}
],
"searchableContent": "Black week 2025"
}
Response
The page was updated successfully.
| Error code | Description |
|---|---|
web-pages.update-page.draft-not-found | Draft not found. |
web-pages.update-page.layout-not-found | Layout not found. |
web-pages.update-page.layout-section-id-required | Layout section ID is required. |
web-pages.update-page.page-for-path-already-exists | A page for the given path already exists. |
web-pages.update-page.page-for-removal-not-found | Page for removal not found. |
web-pages.update-page.page-not-found | Page not found. |
web-pages.update-page.path-blank | Path cannot be blank. |
web-pages.update-page.path-invalid | Path is invalid. |
web-pages.update-page.section-is-not-part-of-the-layout | Section is not part of the layout. |
web-pages.update-page.title-blank | Title cannot be blank. |
web-pages.update-page.variable-id-required | Variable ID is required. |
web-pages.update-page.variable-is-not-part-of-the-section-variables | Variable is not part of the section variables. |
web-pages.update-page.variable-value-required | Variable value is required. |